Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 152458 - Optional external dependency USE flags for media-plugins/mythdvd, mythvideo
Summary: Optional external dependency USE flags for media-plugins/mythdvd, mythvideo
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Television related Applications in Gentoo's Portage
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-22 20:41 UTC by Nick Osborne
Modified: 2006-11-07 06:23 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
USE flags update for media-plugins/mythdvd (mythdvd.diff,1.16 KB, patch)
2006-10-22 20:44 UTC, Nick Osborne
Details | Diff
USE flag and dependency update for media-plugins/mythvideo (mythvideo.diff,913 bytes, patch)
2006-10-22 20:45 UTC, Nick Osborne
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Osborne 2006-10-22 20:41:07 UTC
Ebuilds in portage for media-plugins/mythdvd and mythvideo currently list mplayer, xine-ui, and ogle as hard dependencies, but are optional with the use of myth's internal player.

Please consider making these a bit more optional- I've included diffs of the changes I've been using the past few days below, along with including a vcd flag that gone unused as noted by beandog. I've only done very limited testing with these so far, I'll post updates if I run accross issues.

Since myth's internal player is problematic for many DVD's it still makes sense to have an external player enabled by default, but I prefer the consistent interface of the internal player since it works for the DVD's I'm using.

Also, upstream has removed XML-Simple as a dependency for mythvideo as of rev 10855 (http://svn.mythtv.org/trac/changeset/10855), so I've removed that line as well.

--- /usr/portage/media-plugins/mythdvd/mythdvd-0.20_p11329.ebuild       2006-09-29 07:30:37.000000000 -0700
+++ mythdvd-0.20_p11329-r3.ebuild       2006-10-22 20:11:57.000000000 -0700
@@ -6,14 +6,20 @@

 DESCRIPTION="DVD player module for MythTV."
 KEYWORDS="~amd64 ~ppc ~x86"
-IUSE="transcode"
+IUSE="transcode internal vcd"

 RDEPEND="=media-plugins/mythvideo-${MY_PV}*
        transcode? (    media-video/transcode
                        media-libs/libdvdread )
-       || ( media-video/mplayer media-video/xine-ui media-video/ogle )"
+       !internal? (
+                       || (
+                               media-video/mplayer
+                               media-video/xine-ui
+                               media-video/ogle
+                       )
+                  )"

-MTVCONF="--enable-vcd $(use_enable transcode)"
+MTVCONF="$(use_enable vcd) $(use_enable transcode)"

 src_install() {
        mythtv-plugins_src_install
@@ -22,6 +28,14 @@
 }

 pkg_postinst() {
+
+        if use internal; then
+                echo
+                einfo "Please note that the Internal video player may not be compatible"
+                einfo "with all DVDs. See the mythdvd readme for more information."
+
+        fi
+
        echo
        einfo "To have Myth Transcode Daemon (mtd) start on boot do the following"
        einfo "rc-update add mtd default"

--- /usr/portage/media-plugins/mythvideo/mythvideo-0.20_p11329.ebuild   2006-10-05 19:43:57.000000000 -0700
+++ mythvideo-0.20_p11329-r2.ebuild     2006-10-22 20:33:44.000000000 -0700
@@ -5,12 +5,32 @@
 inherit mythtv-plugins

 DESCRIPTION="Video player module for MythTV."
-IUSE=""
+IUSE="internal"
 KEYWORDS="~amd64 ~ppc ~x86"

+# http://svn.mythtv.org/trac/changeset/10855
+#
+
 RDEPEND="dev-perl/libwww-perl
        dev-perl/HTML-Parser
        dev-perl/URI
-       dev-perl/XML-Simple
-       || ( media-video/mplayer media-video/xine-ui )"
+       !internal (
+               || (
+                       media-video/mplayer
+                       media-video/xine-ui
+                       media-video/ogle
+                       )
+               )"
+
 DEPEND="${RDEPEND}"
+
+pkg_postinst() {
+
+        if use internal; then
+                echo
+                einfo "Please note that the Internal video player may not be compatible"
+                einfo "with all DVDs. See the mythdvd readme for more information."
+
+        fi
+}
Comment 1 Nick Osborne 2006-10-22 20:44:57 UTC
Created attachment 100245 [details, diff]
USE flags update for media-plugins/mythdvd
Comment 2 Nick Osborne 2006-10-22 20:45:33 UTC
Created attachment 100246 [details, diff]
USE flag and dependency update for media-plugins/mythvideo
Comment 3 Jakub Moc (RETIRED) gentoo-dev 2006-10-22 23:58:24 UTC
Please, don't inline patches into bugs, use attachments.
Comment 4 Doug Goldstein (RETIRED) gentoo-dev 2006-11-06 23:49:25 UTC
This is already done for MythVideo.

Steve: You think we should pull out any sort of depends in mythdvd, since they'll get pulled in by mythvideo? If not, then just copy your stuff from mythvideo?
Comment 5 Steve Dibb (RETIRED) gentoo-dev 2006-11-07 06:06:02 UTC
(In reply to comment #4)
> This is already done for MythVideo.
> 
> Steve: You think we should pull out any sort of depends in mythdvd, since
> they'll get pulled in by mythvideo? If not, then just copy your stuff from
> mythvideo?
> 

No, I think it's safe to let MythVideo do the USE flag selecting.
Comment 6 Steve Dibb (RETIRED) gentoo-dev 2006-11-07 06:07:48 UTC
Also, I dont want to start adding USE flags for every possible media player out there.  Since mplayer and xine are already in the tree, we can utilize those for convenience, but no need to add ogle, vlc, gxine, totem, etc.

A 'vcd' USE flag would be okay though.
Comment 7 Steve Dibb (RETIRED) gentoo-dev 2006-11-07 06:23:57 UTC
Fixed